/* Warn-Level-Highlight */

tr.host-warn {
  background-color: rgba(255, 193, 7, 0.15) !important;
}

/* Kritische Hosts */

tr.host-crit {
  background-color: rgba(220, 53, 69, 0.15) !important;
}

/* Hintergrundfarben nach Status */

.table {
  --bs-table-bg: none;
}

tr.status-UP td {
  background-color: #d4edda !important;
}

tr.status-WARN td {
  background-color: #fff3cd !important;
}

tr.status-CRIT td {
  background-color: #f8d7da !important;
}

tr.status-DOWN td {
  background-color: #fb9ba3 !important;
  color: #6c757d !important;
}

/* Prozesse Styling */

.proc-expected {
  color: #6c757d;
}

.proc-missing {
  color: #dc3545;
  font-weight: bold;
}

/* ----------- */

td.dt-nowrap {
  white-space: nowrap;
}

td.ct-column__color {
  position: relative;
}

td.ct-column__color .ct-content__color {
  position: absolute;
  display: inline-block;
}

td.ct-column__color--cell .ct-content__color {
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
}

td.ct-column__color--pill .ct-content__color {
  top: 5px;
  bottom: 5px;
  left: 50%;
  width: .5em;
  margin-left: -.333em;
  border-radius: 4px;
}

/* ----------- */

.cell-flash {
  /*background-color: #28a745 !important;*/
  /*transition: background-color 1s ease;*/
  color: var(--bs-danger) !important;
  transition: color 1s ease;
}

/* ----------- */

.stat-card {
  cursor: pointer;
  transition: transform 0.15s ease, box-shadow 0.15s ease;
}

.stat-card:hover {
  transform: translateY(-2px);
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.stat-card.border-primary {
  /*border: 2px solid var(--bs-primary) !important;*/
  background-color: var(--bs-light) !important;
}

/* ----------- */

/* optional: für bessere Integration in Bootstrap 5 */

.select2-container--default {
  width: calc(100% - 120px) !important;
}

.select2-container .select2-selection--single {
  height: 38px;
  padding: 4px 8px;
  border: 1px solid #ced4da;
}

/* Datatables Pagination */

.dt-info {
  display: flex;
  justify-content: center;
}

.dt-paging.paging_full_numbers {
  display: flex;
  justify-content: center;
}

.active > .page-link, .page-link.active {
  border-color: var(--bs-secondary);
  background-color: var(--bs-secondary);
  color: #000000;
}

